import express from "express";
import mongoose from "mongoose";
import cors from "cors";
import { API_PORT, MONGO_URL } from "./config/contants";

const app = express();
app.use(cors());

// Routes
const authRoute = require("./routes/auth");

// Environment constants

// Service Initialisation

mongoose.connect(MONGO_URL, {
  useFindAndModify: false,
  useNewUrlParser: true,
  useUnifiedTopology: true,
  useCreateIndex: true,
});

// const db = mongoose.connection;

// db.on("error", (error) => console.log(error, "connection error:"));
// db.once("open", () => {
//   console.log("Connected to MongoDB Instance");
// });

// Express Initialisation
app.use(express.urlencoded({ extended: true }));
app.use(express.json());

app.use(express.urlencoded({ extended: false }));

// Routes
app.use("/auth", authRoute);

app.listen(API_PORT, () => console.log(`Listening on port ${API_PORT}`));
